<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>OboListWidgetForm</class>
 <widget class="QWidget" name="OboListWidgetForm">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>400</width>
    <height>300</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Form</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout">
   <property name="leftMargin">
    <number>0</number>
   </property>
   <property name="topMargin">
    <number>0</number>
   </property>
   <property name="rightMargin">
    <number>0</number>
   </property>
   <property name="bottomMargin">
    <number>0</number>
   </property>
   <item>
    <widget class="QGroupBox" name="massFilterGroupBox">
     <property name="title">
      <string>&amp;Mass filter</string>
     </property>
     <property name="checkable">
      <bool>true</bool>
     </property>
     <property name="checked">
      <bool>false</bool>
     </property>
     <layout class="QHBoxLayout" name="horizontalLayout_2">
      <item>
       <widget class="QDoubleSpinBox" name="mzSpinBox">
        <property name="decimals">
         <number>4</number>
        </property>
        <property name="minimum">
         <double>-500.000000000000000</double>
        </property>
        <property name="maximum">
         <double>6000.000000000000000</double>
        </property>
        <property name="singleStep">
         <double>0.010000000000000</double>
        </property>
       </widget>
      </item>
      <item>
       <widget class="pappso::PrecisionWidget" name="precisionWidget" native="true"/>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <widget class="QListView" name="oboTermListView"/>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>pappso::PrecisionWidget</class>
   <extends>QWidget</extends>
   <header>precisionwidget/precisionwidget.h</header>
   <container>1</container>
   <slots>
    <signal>precisionChanged(pappso::PrecisionPtr)</signal>
   </slots>
  </customwidget>
 </customwidgets>
 <resources/>
 <connections>
  <connection>
   <sender>massFilterGroupBox</sender>
   <signal>clicked()</signal>
   <receiver>OboListWidgetForm</receiver>
   <slot>onFilterChanged()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>120</x>
     <y>22</y>
    </hint>
    <hint type="destinationlabel">
     <x>594</x>
     <y>60</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>mzSpinBox</sender>
   <signal>editingFinished()</signal>
   <receiver>OboListWidgetForm</receiver>
   <slot>onFilterChanged()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>129</x>
     <y>53</y>
    </hint>
    <hint type="destinationlabel">
     <x>673</x>
     <y>174</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>precisionWidget</sender>
   <signal>precisionChanged()</signal>
   <receiver>OboListWidgetForm</receiver>
   <slot>onFilterChanged()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>287</x>
     <y>59</y>
    </hint>
    <hint type="destinationlabel">
     <x>698</x>
     <y>128</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>precisionWidget</sender>
   <signal>precisionChanged(pappso::PrecisionPtr)</signal>
   <receiver>OboListWidgetForm</receiver>
   <slot>onFilterChanged(pappso::PrecisionPtr)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>254</x>
     <y>52</y>
    </hint>
    <hint type="destinationlabel">
     <x>616</x>
     <y>139</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>mzSpinBox</sender>
   <signal>valueChanged(double)</signal>
   <receiver>OboListWidgetForm</receiver>
   <slot>onFilterChanged()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>176</x>
     <y>53</y>
    </hint>
    <hint type="destinationlabel">
     <x>680</x>
     <y>202</y>
    </hint>
   </hints>
  </connection>
 </connections>
 <slots>
  <slot>onFilterChanged()</slot>
  <slot>onFilterChanged(pappso::PrecisionPtr)</slot>
 </slots>
</ui>
